Package net.snowflake.client.jdbc

## Class ResultJsonParserV2

- java.lang.Object
- - net.snowflake.client.jdbc.ResultJsonParserV2

    public class ResultJsonParserV2
    extends Object

Copyright (c) 2018-2019 Snowflake Computing Inc. All rights reserved.

This is the Java version of the ODBC's ResultJsonParserV2 class

### Constructor Summary

Constructors
`ResultJsonParserV2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `continueParsing​(ByteBuffer in, SFBaseSession session)` Continue parsing with the given data
`void` `endParsing​(ByteBuffer in, SFBaseSession session)` Check if the chunk has been parsed correctly.
`void` `startParsing​(JsonResultChunk resultChunk, SFBaseSession session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultJsonParserV2

    public ResultJsonParserV2()

### Method Detail

#### startParsing

    public void startParsing​(JsonResultChunk resultChunk,
                             SFBaseSession session)
                      throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`

#### endParsing

    public void endParsing​(ByteBuffer in,
                           SFBaseSession session)
                    throws SnowflakeSQLException

Check if the chunk has been parsed correctly. After calling this it is safe to acquire the output data

Parameters:
  `in` - byte buffer
  `session` - SFBaseSession
Throws:
  `SnowflakeSQLException` - if parsing fails

#### continueParsing

    public int continueParsing​(ByteBuffer in,
                               SFBaseSession session)
                        throws SnowflakeSQLException

Continue parsing with the given data

Parameters:
  `in` - readOnly byteBuffer backed by an array (the data to be reed is from position to limit)
  `session` - SFBaseSession
Returns:
  int remaining number of elements in byteBuffer
Throws:
  `SnowflakeSQLException` - if an error is encountered during parsing